%global pypi_name expandvars

Name:           python-%{pypi_name}
Version:        0.12.0
Release:        %mkrel 5
Summary:        Expand system variables Unix style
Group:          Development/Python
License:        MIT
URL:            https://pypi.python.org/pypi/expandvars
Source0:        %{pypi_source}
BuildArch:      noarch

%description
This module is inspired by GNU bash's variable expansion features. It can be
used as an alternative to Python's os.path.expandvars function.

%package -n python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This module is inspired by GNU bash's variable expansion features. It can be
used as an alternative to Python's os.path.expandvars function.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%license LICENSE


%changelog
* Tue Feb 25 2025 wally <wally> 0.12.0-5.mga10
+ Revision: 2152265
- rebuild for python3.13

* Thu Dec 28 2023 papoteur <papoteur> 0.12.0-4.mga10
+ Revision: 2023015
- rebuild again for python 3.12

* Tue Dec 12 2023 papoteur <papoteur> 0.12.0-3.mga10
+ Revision: 2017410
- rebuild for python 3.12

* Thu Dec 07 2023 wally <wally> 0.12.0-2.mga10
+ Revision: 2015254
- rebuild for py3.12

* Mon Nov 27 2023 wally <wally> 0.12.0-1.mga10
+ Revision: 2010364
- imported package python-expandvars

